Subject: Re: bug#11572: 24.1.50; Emacs executable shadowed by an alias

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 May 2012 15:40:39 -0400

tags 11572 moreinfo
thanks

>> But I agree that emacsclient should not obey shell aliases, because it
>> should not run "emacs" via a shell.
> Non-interactive shells don't obey aliases.

While that's generally more or less true, the details depend on how you
define your aliases and which shell you're using.
But in any case, AFAICT emacsclient.c does not run "emacs" via a shell
(it uses execvp), so no matter what shell you use and how you define
your aliases I don't see how an "emacs" alias can cause the problem the
OP described.

Sindikat, can you really reproduce your problem with just an alias
'emacs=emacsclient -c -a ""', or do you actually need to have an "emacs"
script in your $PATH?

        Stefan